package com.liquidnet.common.third.zxlnft.dto.wallet;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: DeriveKeyPairReq
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:35
 */
@Data
public class DeriveKeyPairReq implements Serializable {

    private static final long serialVersionUID = 7862300359964101625L;
    private String mnemonic;
    private Long index;

    private static final DeriveKeyPairReq obj = new DeriveKeyPairReq();
    public static DeriveKeyPairReq getNew() {
        try {
            return (DeriveKeyPairReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new DeriveKeyPairReq();
        }
    }
}
